<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Utilities;

class RestricaoAlimentarConsumidor extends CrudWithParameterBag{
    
    protected $dataSourceName = 'vnd09800_restricaoalimentar_selectConsumidor';
    protected $parameterBagColumns = array('CDFILIAL', 'CDCLIENTE', 'NRORG');
    protected $utilService;

    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag, Utilities\Util $utilService) {
        $this->utilService = $utilService;
        parent::__construct($dataSourceManager, $parameterBag);
    }
}